Download it now!
Bug 137105 - Crash after inserting table with Style Inspector tab active
Summary: Crash after inserting table with Style Inspector tab active
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Aron Budea
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-09-28 17:27 UTC by Telesto
Modified: 2020-10-30 11:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-28 17:27:07 UTC
Description:
Crash after inserting table in header with Style Inspector tab active

Steps to Reproduce:
1. Open Writer
2. Set sidebar to Style Inspector tab (Experimental features enabled)
3. Insert header (blue header bar)
4. Insert table (with toolbar drop down or insert table and likely also when using the shortcut -> Crash

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52a49f9e480ca03e231cfda82640a928393131c9
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-ZA
Calc: CL
Comment 1 Telesto 2020-09-28 17:30:37 UTC
Trim down; header not needed
Comment 2 Roman Kuznetsov 2020-09-28 19:00:08 UTC
confirm in

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 06b9e703f536e2751e3cd584873e00907672cf2d
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Vulkan; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL

but not in 7.0.2.1 =>regression
Comment 3 Roman Kuznetsov 2020-09-28 20:00:50 UTC
I bisected it

source hash is bb369dd4f372f606a9a63ecefbd1c7d3b725cd02

https://git.libreoffice.org/core/commit/bb369dd4f372f606a9a63ecefbd1c7d3b725cd02

Add CC: to Aron Budea
Comment 4 Telesto 2020-09-28 20:30:43 UTC
Sorry for asking for something (bug 135115), getting it, and starting reporting bugs related to it afterwards.
Comment 5 Aron Budea 2020-09-28 23:45:20 UTC
No worries, it's fair, especially that it's a crasher. Telesto, Roman, thanks for reporting&bibisecting!
Comment 6 Thomas Lendo 2020-10-14 20:25:50 UTC
It crashes also when clicking into an existing table with Style Inspector open.
Comment 7 Commit Notification 2020-10-15 19:56:40 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/df74aef7159d7155addf78cfc4d139485945d794

tdf#137105: crash in table with Style Inspector active

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Aron Budea 2020-10-15 20:00:33 UTC
I wanted to add the ability to inspect direct formatting in tables, but it's not yet done, so just fixed the crash for now. I'm opening a separate bug report for the enhancement.
Comment 9 Commit Notification 2020-10-29 11:19:54 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/86026711b10484753aa0f84f89986db9bbf34c9e

tdf#137105: sw: add first UItest for styles inspector

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-10-30 11:07:16 UTC
UItest added. setting to VERIFIED